CVEdetails.com the ultimate security vulnerability data source
(e.g.: CVE-2009-1234 or 2010-1234 or 20101234)
Log In   Register   Reset Password   Activate Account
Vulnerability Feeds & WidgetsNew   www.itsecdb.com  

Vulnerability Details : CVE-2012-0814

The auth_parse_options function in auth-options.c in sshd in OpenSSH before 5.7 provides debug messages containing authorized_keys command options, which allows remote authenticated users to obtain potentially sensitive information by reading these messages, as demonstrated by the shared user account required by Gitolite. NOTE: this can cross privilege boundaries because a user account may intentionally have no shell or filesystem access, and therefore may have no supported way to read an authorized_keys file in its own home directory.
Publish Date : 2012-01-27 Last Update Date : 2012-02-16
Search Twitter   Search YouTube   Search Google

- CVSS Scores & Vulnerability Types

CVSS Score
3.5
Confidentiality Impact Partial (There is considerable informational disclosure.)
Integrity Impact None (There is no impact to the integrity of the system)
Availability Impact None (There is no impact to the availability of the system.)
Access Complexity Medium (The access conditions are somewhat specialized. Some preconditions must be satistified to exploit)
Authentication Single system (The vulnerability requires an attacker to be logged into the system (such as at a command line or via a desktop session or web interface).)
Gained Access None
Vulnerability Type(s) Obtain Information
CWE ID 255

- Products Affected By CVE-2012-0814

# Product Type Vendor Product Version Update Edition Language
1 Application Openbsd Openssh 1.2 Version Details Vulnerabilities
2 Application Openbsd Openssh 1.2.1 Version Details Vulnerabilities
3 Application Openbsd Openssh 1.2.2 Version Details Vulnerabilities
4 Application Openbsd Openssh 1.2.3 Version Details Vulnerabilities
5 Application Openbsd Openssh 1.2.27 Version Details Vulnerabilities
6 Application Openbsd Openssh 1.3 Version Details Vulnerabilities
7 Application Openbsd Openssh 1.5 Version Details Vulnerabilities
8 Application Openbsd Openssh 1.5.7 Version Details Vulnerabilities
9 Application Openbsd Openssh 1.5.8 Version Details Vulnerabilities
10 Application Openbsd Openssh 2 Version Details Vulnerabilities
11 Application Openbsd Openssh 2.1 Version Details Vulnerabilities
12 Application Openbsd Openssh 2.1.1 Version Details Vulnerabilities
13 Application Openbsd Openssh 2.2 Version Details Vulnerabilities
14 Application Openbsd Openssh 2.3 Version Details Vulnerabilities
15 Application Openbsd Openssh 2.3.1 Version Details Vulnerabilities
16 Application Openbsd Openssh 2.5 Version Details Vulnerabilities
17 Application Openbsd Openssh 2.5.1 Version Details Vulnerabilities
18 Application Openbsd Openssh 2.5.2 Version Details Vulnerabilities
19 Application Openbsd Openssh 2.9p1 Version Details Vulnerabilities
20 Application Openbsd Openssh 2.9 Version Details Vulnerabilities
21 Application Openbsd Openssh 2.9p2 Version Details Vulnerabilities
22 Application Openbsd Openssh 2.9.9p2 Version Details Vulnerabilities
23 Application Openbsd Openssh 2.9.9 Version Details Vulnerabilities
24 Application Openbsd Openssh 3.0 Version Details Vulnerabilities
25 Application Openbsd Openssh 3.0p1 Version Details Vulnerabilities
26 Application Openbsd Openssh 3.0.1 Version Details Vulnerabilities
27 Application Openbsd Openssh 3.0.1p1 Version Details Vulnerabilities
28 Application Openbsd Openssh 3.0.2p1 Version Details Vulnerabilities
29 Application Openbsd Openssh 3.0.2 Version Details Vulnerabilities
30 Application Openbsd Openssh 3.1p1 Version Details Vulnerabilities
31 Application Openbsd Openssh 3.1 Version Details Vulnerabilities
32 Application Openbsd Openssh 3.2 Version Details Vulnerabilities
33 Application Openbsd Openssh 3.2.2 Version Details Vulnerabilities
34 Application Openbsd Openssh 3.2.2p1 Version Details Vulnerabilities
35 Application Openbsd Openssh 3.2.3p1 Version Details Vulnerabilities
36 Application Openbsd Openssh 3.3 Version Details Vulnerabilities
37 Application Openbsd Openssh 3.3p1 Version Details Vulnerabilities
38 Application Openbsd Openssh 3.4 Version Details Vulnerabilities
39 Application Openbsd Openssh 3.4p1 Version Details Vulnerabilities
40 Application Openbsd Openssh 3.5p1 Version Details Vulnerabilities
41 Application Openbsd Openssh 3.5 Version Details Vulnerabilities
42 Application Openbsd Openssh 3.6 Version Details Vulnerabilities
43 Application Openbsd Openssh 3.6.1p2 Version Details Vulnerabilities
44 Application Openbsd Openssh 3.6.1 Version Details Vulnerabilities
45 Application Openbsd Openssh 3.6.1p1 Version Details Vulnerabilities
46 Application Openbsd Openssh 3.7 Version Details Vulnerabilities
47 Application Openbsd Openssh 3.7.1p2 Version Details Vulnerabilities
48 Application Openbsd Openssh 3.7.1 Version Details Vulnerabilities
49 Application Openbsd Openssh 3.7.1p1 Version Details Vulnerabilities
50 Application Openbsd Openssh 3.8 Version Details Vulnerabilities
51 Application Openbsd Openssh 3.8.1 Version Details Vulnerabilities
52 Application Openbsd Openssh 3.8.1p1 Version Details Vulnerabilities
53 Application Openbsd Openssh 3.9 Version Details Vulnerabilities
54 Application Openbsd Openssh 3.9.1 Version Details Vulnerabilities
55 Application Openbsd Openssh 3.9.1p1 Version Details Vulnerabilities
56 Application Openbsd Openssh 4.0p1 Version Details Vulnerabilities
57 Application Openbsd Openssh 4.0 Version Details Vulnerabilities
58 Application Openbsd Openssh 4.1 Version Details Vulnerabilities
59 Application Openbsd Openssh 4.1p1 Version Details Vulnerabilities
60 Application Openbsd Openssh 4.2 Version Details Vulnerabilities
61 Application Openbsd Openssh 4.2p1 Version Details Vulnerabilities
62 Application Openbsd Openssh 4.3p2 Version Details Vulnerabilities
63 Application Openbsd Openssh 4.3 Version Details Vulnerabilities
64 Application Openbsd Openssh 4.3p1 Version Details Vulnerabilities
65 Application Openbsd Openssh 4.4 Version Details Vulnerabilities
66 Application Openbsd Openssh 4.4p1 Version Details Vulnerabilities
67 Application Openbsd Openssh 4.5 Version Details Vulnerabilities
68 Application Openbsd Openssh 4.6 Version Details Vulnerabilities
69 Application Openbsd Openssh 4.7 Version Details Vulnerabilities
70 Application Openbsd Openssh 4.8 Version Details Vulnerabilities
71 Application Openbsd Openssh 4.9 Version Details Vulnerabilities
72 Application Openbsd Openssh 5.0 Version Details Vulnerabilities
73 Application Openbsd Openssh 5.1 Version Details Vulnerabilities
74 Application Openbsd Openssh 5.2 Version Details Vulnerabilities
75 Application Openbsd Openssh 5.3 Version Details Vulnerabilities
76 Application Openbsd Openssh 5.4 Version Details Vulnerabilities
77 Application Openbsd Openssh 5.5 Version Details Vulnerabilities
78 Application Openbsd Openssh 5.6 Version Details Vulnerabilities

- Number Of Affected Versions By Product

Vendor Product Vulnerable Versions
Openbsd Openssh 78

- References For CVE-2012-0814

http://xforce.iss.net/xforce/xfdb/72756
XF opensshserver-commands-info-disc(72756)
http://www.securityfocus.com/bid/51702
BID 51702 Debian openssh-server Forced Command Handling Information Disclosure Vulnerability Release Date:2014-03-28
http://www.openbsd.org/cgi-bin/cvsweb/src/usr.bin/ssh/auth-options.c.diff?r1=1.53;r2=1.54 CONFIRM
http://www.openbsd.org/cgi-bin/cvsweb/src/usr.bin/ssh/auth-options.c CONFIRM
http://osvdb.org/78706
OSVDB 78706
http://openwall.com/lists/oss-security/2012/01/27/4
MLIST [oss-security] 20120127 Re: CVE Request: Debian (others?) openssh-server: Forced Command handling leaks private information to ssh clients
http://openwall.com/lists/oss-security/2012/01/27/1
MLIST [oss-security] 20120126 Re: CVE Request: Debian (others?) openssh-server: Forced Command handling leaks private information to ssh clients
http://openwall.com/lists/oss-security/2012/01/26/16
MLIST [oss-security] 20120126 Re: CVE Request: Debian (others?) openssh-server: Forced Command handling leaks private information to ssh clients
http://openwall.com/lists/oss-security/2012/01/26/15
MLIST [oss-security] 20120126 CVE Request: Debian (others?) openssh-server: Forced Command handling leaks private information to ssh clients
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=657445 CONFIRM

- Metasploit Modules Related To CVE-2012-0814

There are not any metasploit modules related to this vulnerability (Please visit www.metasploit.com for more information)


CVE is a registred trademark of the MITRE Corporation and the authoritative source of CVE content is MITRE's CVE web site. CWE is a registred trademark of the MITRE Corporation and the authoritative source of CWE content is MITRE's CWE web site. OVAL is a registered trademark of The MITRE Corporation and the authoritative source of OVAL content is MITRE's OVAL web site.
Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. It is the responsibility of user to evaluate the accuracy, completeness or usefulness of any information, opinion, advice or other content. EACH USER WILL BE SOLELY RESPONSIBLE FOR ANY consequences of his or her direct or indirect use of this web site. ALL WARRANTIES OF ANY KIND ARE EXPRESSLY DISCLAIMED. This site will NOT BE LIABLE FOR ANY DIRECT, INDIRECT or any other kind of loss.